Ciele

Schedule an Insights export

POST/api/v1/exports/schedules

Requires an Organization API key with the edit capability.

AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/exports/schedules" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "kind": "insights_overview",    "format": "csv",    "cadence": {      "kind": "weekly",      "weekday": 0    },    "hour": 0,    "recipientMemberIds": [      "string"    ]  }'
{  "id": "string",  "organizationId": "string",  "name": "string",  "kind": "insights_overview",  "format": "json",  "filters": {    "property1": "string",    "property2": "string"  },  "cadence": {    "kind": "weekly",    "weekday": 0  },  "hour": 0,  "enabled": true,  "recipientMemberIds": [    "string"  ],  "createdBy": null,  "lastSlotAt": null,  "createdAt": "string",  "updatedAt": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}